// -*- JavaScript -*-
// Utility functions  [1997/10/30]
//   Copyright 1997 by EPSON KOWA corporation


// has_property: ある property を持つかどうか判定
function has_property( obj, name )
{
  return typeof( obj ) == "object" && typeof( obj[name] ) != "undefined";
}

function get_file_name( str ){
  var i = str.length;
  
  while( i-- && str.charAt( i ) != '/' && str.charAt( i ) != '\\' );
  
  return str.substring( i + 1, str.length );
}

// ページ名の正規化 (IE 対策)
function regular( str ){
  var i = 0;
  var begin = 0, end = str.length;
  
  while( i < str.length ){
    if( str.charAt( i ) == '\\' || str.charAt( i ) == '/' )
      begin = i + 1;
    else if( str.charAt( i ) == '.' )
      end = i;
    ++i;
  }
  
  return str.substring( begin, end ).toUpperCase();
}

// Browser の判定
function is_navigator_common(){
  return navigator.appName == "Netscape";
}
